# shm_put_var

(PHP 4, PHP 5, PHP 7, PHP 8)

shm_put_var — Erstellt oder aktualisiert eine Variable im gemeinsamen Speicherbereich

### Beschreibung

shm_put_var(SysvSharedMemory `$shm`, int `$key`, mixed `$value`): bool

shm_put_var() fügt den Wert `value` mit dem angegebenen `key` ein oder aktualisiert ihn.

Warnungen der Stufe `E_WARNING` werden erzeugt, wenn `shm` kein gültiger SysV-Shared-Memory-Index ist oder wenn nicht genügend Speicher im angegebenen Bereich verfügbar ist.

### Parameter-Liste

`shm`
  Ein gemeinsamer Speicherbereich, wie er von shm_attach() zurückgegeben wurde.
`key`
  Der Variablenschlüssel.
`value`
  Die Variable. Alle Variablentypen, die serialize() unterstützt, können verwendet werden: im Allgemeinen bedeutet dies, alle Typen außer Ressourcen und einigen internen Objekten, die nicht serialisiert werden können.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Changelog

Version | Beschreibung
--- | ---
8.0.0 | `shm` erwartet nun eine SysvSharedMemory-Instanz; vorher wurde eine Ressource erwartet.

### Siehe auch

- shm_get_var() - Liest eine Variable aus dem gemeinsamen Speicherbereich
- shm_has_var() - Check whether a specific entry exists

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open